The notifications badge should close the notification panel when it is already open
Closed, ResolvedPublic

Description

Clicking on the notification badge opens the notification panel. Currently, clicking the badge again does nothing.
The expected result is for the badge to close the panel when the panel was already open.

This will facilitate a "quick look" pattern, where users can take a quick look at the notification panel and continue their activity with minimal effort (no need to move somewhere out of the panel to click).

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF added a project: Notifications.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 29 2015, 1:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 242414 had a related patch set uploaded (by Catrope):
Close popup when badge is clicked

https://gerrit.wikimedia.org/r/242414

Catrope set Security to None.
Catrope claimed this task.

Change 242414 merged by jenkins-bot:
Close popup when badge is clicked

https://gerrit.wikimedia.org/r/242414

Checked in betalabs.

DannyH closed this task as Resolved.Sep 30 2015, 5:17 PM
DannyH added a subscriber: DannyH.
Hangsna removed a subscriber: Hangsna.Oct 6 2015, 7:09 PM